Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 4840 - Gets $shell path wrong when su'd
Summary: Gets $shell path wrong when su'd
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: tcsh
Version: 6.0
Hardware: i386
OS: Linux
medium
low
Target Milestone: ---
Assignee: Eido Inoue
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-09-01 21:07 UTC by Richard Troxel
Modified: 2008-05-01 15:37 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-09-25 05:01:27 UTC


Attachments (Terms of Use)

Description Richard Troxel 1999-09-01 21:07:35 UTC
Ordinarily tcsh-6.08.00-5 works fine.  However, if I su and
then invoke /bin/tcsh, the $shell shell variable gets set to
/usr/bin/tcsh which is non-existent.  This also shows up in
a strings of the binary.

FWIW, on other RH boxes to which I have access
tcsh-rhcn-6.08.00-1 gets its own path right.

Comment 1 Michael K. Johnson 1999-09-25 05:01:59 UTC
Fixed in 6.08.00-6.  Thanks!


Note You need to log in before you can comment on or make changes to this bug.